import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { B } from '../../../../../types/interface/B';
import { MS } from '../../../../../types/interface/MS';
export type I = {
    stream: MS;
    opt: MediaRecorderOptions;
    start: number;
    stop: any;
    done: any;
};
export type O = {
    blob: B;
    err: string;
};
export default class _MediaRecorder extends Holder<I, O> {
    private _media_recorder;
    private _stop_waiter;
    constructor(system: System);
    f({ opt, stream }: I, done: Done<O>): Promise<void>;
    private _listen;
    private _unlisten;
    d(): void;
    private _start_recorder;
    onIterDataInputData(name: keyof I, data: any): Promise<void>;
    onIterDataInputDrop(name: string): void;
}
